GET api/AppointmentTypes?externalId={externalId}
Gets information about an appointment type in the Eye Reach Patients list.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| externalId |
Unique ID of the appointment type on integrating system. |
string |
Required |
Body Parameters
None.
Response Information
Resource Description
AppointmentTypeModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Name |
Name of the appointment type (Required). |
string |
None. |
| IsTelemedicine |
Indicates whether the appointment type is telemedicine or not. |
boolean |
None. |
| PortalCreated |
Portal created date of the appointment type. |
date |
None. |
| Id |
Unique ID of the model in the portal (Read only). |
string |
None. |
| ExternalId |
Unique ID of the model in the integrating system (Required). |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"name": "sample string 1",
"isTelemedicine": true,
"portalCreated": "2026-05-29T16:56:59.3523713+00:00",
"id": "sample string 4",
"externalId": "sample string 5"
}
application/xml, text/xml
Sample:
<AppointmentTypeModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.AppointmentsModel"> <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 5</ExternalId> <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 4</Id> <IsTelemedicine>true</IsTelemedicine> <Name>sample string 1</Name> <PortalCreated>2026-05-29T16:56:59.3523713+00:00</PortalCreated> </AppointmentTypeModel>